Loading...
Searching...
No Matches
pappso::IntegrationScope Class Reference

`#include <integrationscope.h>`

Inheritance diagram for pappso::IntegrationScope:

## Signals

void | pointChanged ()
void | widthChanged ()

## Protected Attributes

QPointF | m_point
double | m_width
Enums::DataKind | m_dataKindX = Enums::DataKind::unset

## Properties

QPointF | point

## Private Member Functions

WRITE setPoint() NOTIFY pointChanged() FINAL) Q_PROPERTY(double width READ getWidth() WRITE setWidth() NOTIFY widthChanged() FINAL) public | IntegrationScope (const QPointF &point, double width, QObject *parent_p=nullptr)
| IntegrationScope (const QPointF &point, double width, Enums::DataKind data_kind, QObject *parent_p=nullptr)
| IntegrationScope (const IntegrationScope &other, QObject *parent_p=nullptr)
virtual | ~IntegrationScope ()
virtual IntegrationScope & | operator= (const IntegrationScope &other)
virtual void | setPoint (const QPointF &point)
virtual bool | getPoint (QPointF &point) const override
virtual IntegrationScopeFeatures | getLeftMostPoint (QPointF &point) const override
virtual IntegrationScopeFeatures | getRightMostPoint (QPointF &point) const override
virtual IntegrationScopeFeatures | getTopMostPoint (QPointF &point) const override
virtual IntegrationScopeFeatures | getBottomMostPoint (QPointF &point) const override
virtual void | setWidth (double width)
virtual IntegrationScopeFeatures | getWidth (double &width) const override
virtual bool | range (Enums::Axis axis, double &start, double &end) const override
virtual void | setDataKindX (Enums::DataKind data_kind) override
virtual bool | getDataKindX (Enums::DataKind &data_kind) override
bool | is1D () const override
bool | is2D () const override
virtual bool | isRectangle () const override
virtual bool | isRhomboid () const override
virtual bool | transpose () override
virtual void | update (const QPointF &point, double width)
virtual bool | contains (const QPointF &point) const override
virtual QString | toString () const override
virtual void | reset () override

## Additional Inherited Members

Public Member Functions inherited from pappso::IntegrationScopeBase
| IntegrationScopeBase (QObject *parent_p=nullptr)
| IntegrationScopeBase (const IntegrationScopeBase &other, QObject *parent_p=nullptr)
virtual | ~IntegrationScopeBase ()
virtual bool | getPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getLeftMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getLeftMostTopPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getLeftMostBottomPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getRightMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getRightMostTopPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getRightMostBottomPoint (QPointF &point) const
virtual IntegrationScopeFeatures | getTopMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getBottomMostPoints (std::vector< QPointF > &points) const
virtual IntegrationScopeFeatures | getRhombHorizontalSize (double &size) const
virtual IntegrationScopeFeatures | getRhombVerticalSize (double &size) const
virtual IntegrationScopeFeatures | getHeight (double &height) const
virtual void | setDataKindY (Enums::DataKind data_kind)
virtual bool | getDataKindY (Enums::DataKind &data_kind)

## Detailed Description

Definition at line 37 of file integrationscope.h.

## Constructor & Destructor Documentation

## IntegrationScope() [1/3]

pappso::IntegrationScope::IntegrationScope | ( | const QPointF & | point,
|  | double | width,
|  | QObject * | parent_p = nullptr )

private

Definition at line 27 of file integrationscope.cpp.

: IntegrationScopeBase(parent_p)
, m_point(point)
, m_width(width)
{
// qDebug() << "Constructing" << this << "point:" << point << "width:" << width;
}
pappso::IntegrationScopeBase::IntegrationScopeBase
IntegrationScopeBase(QObject *parent_p=nullptr)
Definition integrationscopebase.cpp:21
pappso::IntegrationScope::point
QPointF point
Definition integrationscope.h:39
pappso::IntegrationScope::m_width
double m_width
Definition integrationscope.h:93
pappso::IntegrationScope::m_point
QPointF m_point
Definition integrationscope.h:92

References IntegrationScope(), pappso::IntegrationScopeBase::IntegrationScopeBase(), m_point, m_width, and point.

Referenced by IntegrationScope(), IntegrationScope(), pappso::IntegrationScopeRect::IntegrationScopeRect(), pappso::IntegrationScopeRect::IntegrationScopeRect(), pappso::IntegrationScopeRect::IntegrationScopeRect(), pappso::IntegrationScopeRect::IntegrationScopeRect(), and operator=().

## IntegrationScope() [2/3]

pappso::IntegrationScope::IntegrationScope | ( | const QPointF & | point,
|  | double | width,
|  | Enums::DataKind | data_kind,
|  | QObject * | parent_p = nullptr )

private

Definition at line 35 of file integrationscope.cpp.

: IntegrationScopeBase(parent_p)
, m_point(point)
, m_width(width)
, m_dataKindX(data_kind)
{
// qDebug() << "Constructing" << this << "point:" << point << "width:" << width;
}
pappso::IntegrationScope::m_dataKindX
Enums::DataKind m_dataKindX
Definition integrationscope.h:94

References pappso::IntegrationScopeBase::IntegrationScopeBase(), m_dataKindX, m_point, m_width, and point.

## IntegrationScope() [3/3]

pappso::IntegrationScope::IntegrationScope | ( | const IntegrationScope & | other,
|  | QObject * | parent_p = nullptr )

private

Definition at line 47 of file integrationscope.cpp.

: IntegrationScopeBase(parent_p)
, m_point(other.m_point)
, m_width(other.m_width)
, m_dataKindX(other.m_dataKindX)
{
// qDebug() << "Constructing" << this << "point:" << point << "width:" << width;
}

References IntegrationScope(), pappso::IntegrationScopeBase::IntegrationScopeBase(), m_dataKindX, m_point, and m_width.

## ~IntegrationScope()

pappso::IntegrationScope::~IntegrationScope | ( |  | ) |

private virtual

Definition at line 56 of file integrationscope.cpp.

{
// qDebug() << "Destructing" << this;
}

## Member Function Documentation

## contains()

bool pappso::IntegrationScope::contains | ( | const QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 193 of file integrationscope.cpp.

{
return (point.x() >= m_point.x() && point.x() <= m_point.x() + m_width);
}

References m_point, m_width, and point.

## getBottomMostPoint()

IntegrationScopeFeatures pappso::IntegrationScope::getBottomMostPoint | ( | QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 109 of file integrationscope.cpp.

{
point = m_point;
return IntegrationScopeFeatures::SUCCESS;
}
pappso::SUCCESS
@ SUCCESS
Definition integrationscopebase.h:51

References m_point, point, and pappso::SUCCESS.

## getDataKindX()

bool pappso::IntegrationScope::getDataKindX | ( | Enums::DataKind & | data_kind | ) |

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 149 of file integrationscope.cpp.

{
data_kind = m_dataKindX;
return true;
}

References m_dataKindX.

## getLeftMostPoint()

IntegrationScopeFeatures pappso::IntegrationScope::getLeftMostPoint | ( | QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Definition at line 88 of file integrationscope.cpp.

{
point = m_point;
return IntegrationScopeFeatures::SUCCESS;
}

References m_point, point, and pappso::SUCCESS.

## getPoint()

bool pappso::IntegrationScope::getPoint | ( | QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Definition at line 81 of file integrationscope.cpp.

{
point = m_point;
return true;
}

References m_point, and point.

## getRightMostPoint()

IntegrationScopeFeatures pappso::IntegrationScope::getRightMostPoint | ( | QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Definition at line 95 of file integrationscope.cpp.

{
point = QPointF(m_point.x() + m_width, m_point.y());
return IntegrationScopeFeatures::SUCCESS;
}

References m_point, m_width, point, and pappso::SUCCESS.

## getTopMostPoint()

IntegrationScopeFeatures pappso::IntegrationScope::getTopMostPoint | ( | QPointF & | point | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 102 of file integrationscope.cpp.

{
point = m_point;
return IntegrationScopeFeatures::SUCCESS;
}

References m_point, point, and pappso::SUCCESS.

## getWidth()

IntegrationScopeFeatures pappso::IntegrationScope::getWidth | ( | double & | width | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Definition at line 122 of file integrationscope.cpp.

{
width = m_width;
return IntegrationScopeFeatures::SUCCESS;
}

References m_width, and pappso::SUCCESS.

## is1D()

bool pappso::IntegrationScope::is1D | ( |  | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 156 of file integrationscope.cpp.

{
return true;
}

Referenced by is2D().

## is2D()

bool pappso::IntegrationScope::is2D | ( |  | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 162 of file integrationscope.cpp.

{
return !is1D();
}
pappso::IntegrationScope::is1D
bool is1D() const override
Definition integrationscope.cpp:156

References is1D().

## isRectangle()

bool pappso::IntegrationScope::isRectangle | ( |  | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 168 of file integrationscope.cpp.

{
return false;
}

## isRhomboid()

bool pappso::IntegrationScope::isRhomboid | ( |  | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 174 of file integrationscope.cpp.

{
return false;
}

## operator=()

IntegrationScope & pappso::IntegrationScope::operator= | ( | const IntegrationScope & | other | ) |

private virtual

Definition at line 62 of file integrationscope.cpp.

{
if(this == &other)
return *this;
m_point = other.m_point;
m_width = other.m_width;
return *this;
}

References IntegrationScope(), m_point, and m_width.

Referenced by pappso::IntegrationScopeRect::operator=().

## pointChanged

void pappso::IntegrationScope::pointChanged | ( |  | ) |

signal

## range()

bool pappso::IntegrationScope::range | ( | Enums::Axis | axis,
|  | double & | start,
|  | double & | end ) const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 129 of file integrationscope.cpp.

{
if(axis == Enums::Axis::x)
{
start = m_point.x();
end = start + m_width;
return true;
}
return false;
}
pappso::Enums::Axis::x
@ x
Definition types.h:260

References m_point, m_width, and pappso::Enums::x.

## reset()

void pappso::IntegrationScope::reset | ( |  | ) |

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 205 of file integrationscope.cpp.

{
m_point.rx() = 0;
m_point.ry() = 0;
m_width = 0;
}

References m_point, and m_width.

Referenced by pappso::IntegrationScopeRect::reset().

## setDataKindX()

void pappso::IntegrationScope::setDataKindX | ( | Enums::DataKind | data_kind | ) |

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 143 of file integrationscope.cpp.

{
m_dataKindX = data_kind;
}

References m_dataKindX.

## setPoint()

void pappso::IntegrationScope::setPoint | ( | const QPointF & | point | ) |

private virtual

Definition at line 75 of file integrationscope.cpp.

{
m_point = point;
}

References m_point, and point.

## setWidth()

void pappso::IntegrationScope::setWidth | ( | double | width | ) |

private virtual

Definition at line 116 of file integrationscope.cpp.

{
m_width = width;
}

References m_width.

## toString()

QString pappso::IntegrationScope::toString | ( |  | ) | const

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 199 of file integrationscope.cpp.

{
return QString("(%1, %2)").arg(m_point.x(), 0, 'f', 3).arg(m_point.x() + m_width, 0, 'f', 3);
}

References m_point, and m_width.

## transpose()

bool pappso::IntegrationScope::transpose | ( |  | ) |

override private virtual

Reimplemented from pappso::IntegrationScopeBase.

Reimplemented in pappso::IntegrationScopeRect.

Definition at line 180 of file integrationscope.cpp.

{
return false;
}

## update()

void pappso::IntegrationScope::update | ( | const QPointF & | point,
|  | double | width )

private virtual

Definition at line 186 of file integrationscope.cpp.

{
m_point = point;
m_width = width;
}

References m_point, m_width, and point.

## widthChanged

void pappso::IntegrationScope::widthChanged | ( |  | ) |

signal

## Member Data Documentation

## m_dataKindX

Enums::DataKind pappso::IntegrationScope::m_dataKindX = Enums::DataKind::unset

protected

Definition at line 94 of file integrationscope.h.

Referenced by IntegrationScope(), IntegrationScope(), pappso::IntegrationScopeRect::IntegrationScopeRect(), getDataKindX(), pappso::IntegrationScopeRect::getDataKindX(), pappso::IntegrationScopeRect::operator=(), setDataKindX(), pappso::IntegrationScopeRect::setDataKindX(), and pappso::IntegrationScopeRect::transpose().

## m_point

QPointF pappso::IntegrationScope::m_point

protected

Definition at line 92 of file integrationscope.h.

Referenced by IntegrationScope(), IntegrationScope(), IntegrationScope(), pappso::IntegrationScopeRect::IntegrationScopeRect(), contains(), pappso::IntegrationScopeRect::contains(), getBottomMostPoint(), pappso::IntegrationScopeRect::getBottomMostPoint(), getLeftMostPoint(), getPoint(), getRightMostPoint(), getTopMostPoint(), pappso::IntegrationScopeRect::getTopMostPoint(), operator=(), range(), pappso::IntegrationScopeRect::range(), reset(), setPoint(), toString(), pappso::IntegrationScopeRect::toString(), pappso::IntegrationScopeRect::transpose(), update(), and pappso::IntegrationScopeRect::update().

## m_width

double pappso::IntegrationScope::m_width

protected

Definition at line 93 of file integrationscope.h.

Referenced by IntegrationScope(), IntegrationScope(), IntegrationScope(), pappso::IntegrationScopeRect::IntegrationScopeRect(), contains(), pappso::IntegrationScopeRect::contains(), getRightMostPoint(), getWidth(), operator=(), range(), pappso::IntegrationScopeRect::range(), reset(), setWidth(), toString(), pappso::IntegrationScopeRect::toString(), pappso::IntegrationScopeRect::transpose(), update(), and pappso::IntegrationScopeRect::update().

## Property Documentation

## point

QPointF pappso::IntegrationScope::point

read

Definition at line 39 of file integrationscope.h.

Referenced by IntegrationScope(), IntegrationScope(), pappso::IntegrationScopeRect::IntegrationScopeRect(), pappso::IntegrationScopeRect::IntegrationScopeRect(), contains(), pappso::IntegrationScopeRect::contains(), getBottomMostPoint(), pappso::IntegrationScopeRect::getBottomMostPoint(), getLeftMostPoint(), getPoint(), getRightMostPoint(), getTopMostPoint(), pappso::IntegrationScopeRect::getTopMostPoint(), setPoint(), update(), and pappso::IntegrationScopeRect::update().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/combiners/integrationscope.h
- pappsomspp/core/processing/combiners/integrationscope.cpp